* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

p,
h3 {
  margin-bottom: 12px;
  line-height: 150%;
}

:root {
  --main-body-bg: hsl(47, 88%, 63%);
  --main-content-bg: hsl(0, 0%, 100%);
  --button-bg: hsl(47, 88%, 63%);
  --main-text-color: hwb(0 7% 93%);
  --secondary-text-color: hsl(0, 0%, 50%);
  --hover-text-color: hsl(47, 88%, 63%);
}

body {
  font-family: 'Figtree', sans-serif;
  background-color: var(--main-body-bg);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100vh;
}

main {
  background-color: var(--main-content-bg);
  width: 327px;
  border: 1px solid #000;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-direction: column;
  padding: 24px;
  border-radius: 20px;
  box-shadow: 8px 8px 0 #000;
  margin-bottom: 20px;
}

.main__blog-image {
  width: 279px;
  border-radius: 10px;
  margin-bottom: 24px;
  transition: all 0.4s;
}

.content__main {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  flex-direction: column;
  max-width: 279px;
}

.main__blog-tags {
  background-color: var(--button-bg);
  padding: 4px 12px;
  gap: 8px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 12px;
}

.main__blog-tag {
  font-size: 12px;
  font-weight: 800;
  margin-bottom: 0px;
}

.published__date {
  font-size: 12px;
  font-weight: 500;
}

h3.main__article-title {
  font-size: 20px;
  font-weight: 800;
  transition: all 0.4s;
}

p.main__article-snippet {
  color: var(--secondary-text-color);
  font-size: 14px;
  line-height: 150%;
  margin-bottom: 29.5px;
  font-weight: 500;
}

.author__pic-thumb {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
}

.author__pic-thumb img {
  border-radius: 50%;
  width: 32px;
  margin-right: 12px;
  align-self: center;
}

.author__bio-name {
  font-size: 14px;
  font-weight: 800;
  line-height: 150%;
  margin-bottom: 0;
}

footer {
  display: flex;
}

.attribution {
  font-size: 11px;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 1440px) {
  main {
    width: 384px;
    transition: all 0.4s;
  }

  .content__main {
    max-width: 336px;
    font-size: 16px;
  }

  .main__blog-image {
    width: 336px;
  }

  main:hover {
    cursor: pointer;
    box-shadow: 16px 16px 0 #000;
  }

  .main__blog-tag {
    font-size: 14px;
    line-height: 21px;
  }

  .published__date {
    font-size: 14px;
  }

  h3.main__article-title {
    font-size: 24px;
  }

  p.main__article-snippet {
    font-size: 16px;
    margin-bottom: 24px;
  }

  h3.main__article-title:hover {
    color: var(--hover-text-color);
  }
}
